xine-lib: xine-lib-1.2.12/src/post/goom/goomsl_heap.c File Reference

xine-lib 1.2.12

Data Structures | Functions
goomsl_heap.c File Reference
`#include "goomsl_heap.h"`
`#include <stdint.h>`
`#include <stdlib.h>`

## Data Structures
struct | _GOOM_HEAP

## Functions
GoomHeap * | goom_heap_new (void)
GoomHeap * | goom_heap_new_with_granularity (int granularity)
void | goom_heap_delete (GoomHeap *_this)
static void | align_it (GoomHeap *_this, int alignment)
void * | goom_heap_malloc_with_alignment_prefixed (GoomHeap *_this, int nb_bytes, int alignment, int prefix_bytes)
void * | goom_heap_malloc_with_alignment (GoomHeap *_this, int nb_bytes, int alignment)
void * | goom_heap_malloc (GoomHeap *_this, int nb_bytes)

## Function Documentation

## ◆ align_it()

static void align_it | ( | GoomHeap * | _this,
|  | int | alignment
| ) |  |
| static

References _GOOM_HEAP::arrays, _GOOM_HEAP::consumed_in_last_array, and _GOOM_HEAP::number_of_arrays.

Referenced by goom_heap_malloc_with_alignment_prefixed().

## ◆ goom_heap_delete()

void goom_heap_delete | ( | GoomHeap * | _this | ) |

References _GOOM_HEAP::arrays, and _GOOM_HEAP::number_of_arrays.

Referenced by gsl_free(), and reset_scanner().

## ◆ goom_heap_malloc()

void * goom_heap_malloc | ( | GoomHeap * | _this,
|  | int | nb_bytes
| ) |  |

References goom_heap_malloc_with_alignment().

## ◆ goom_heap_malloc_with_alignment()

void * goom_heap_malloc_with_alignment | ( | GoomHeap * | _this,
|  | int | nb_bytes,
|  | int | alignment
| ) |  |

References goom_heap_malloc_with_alignment_prefixed().

Referenced by goom_heap_malloc(), and gsl_declare_var().

## ◆ goom_heap_malloc_with_alignment_prefixed()

void * goom_heap_malloc_with_alignment_prefixed | ( | GoomHeap * | _this,
|  | int | nb_bytes,
|  | int | alignment,
|  | int | prefix_bytes
| ) |  |

References align_it(), _GOOM_HEAP::arrays, _GOOM_HEAP::consumed_in_last_array, NULL, _GOOM_HEAP::number_of_arrays, and _GOOM_HEAP::size_of_each_array.

Referenced by goom_heap_malloc_with_alignment(), and gsl_declare_var().

## ◆ goom_heap_new()

GoomHeap * goom_heap_new | ( | void |  | ) |

References goom_heap_new_with_granularity().

Referenced by gsl_new(), and reset_scanner().

## ◆ goom_heap_new_with_granularity()

GoomHeap * goom_heap_new_with_granularity | ( | int | granularity | ) |

References _GOOM_HEAP::arrays, _GOOM_HEAP::consumed_in_last_array, _GOOM_HEAP::number_of_arrays, and _GOOM_HEAP::size_of_each_array.

Referenced by goom_heap_new().